type LogLevel = 'verbose' | 'info' | 'warn' | 'error';
interface LoggerOptions {
    level?: LogLevel;
    enabled?: boolean;
}
declare class Logger {
    private namespace;
    private level;
    private enabled;
    constructor(namespace: string, options?: LoggerOptions);
    private shouldLog;
    verbose(...args: any[]): void;
    info(...args: any[]): void;
    warn(...args: any[]): void;
    error(...args: any[]): void;
}
declare function createLogger(namespace: string, options?: LoggerOptions): Logger;

export { type LogLevel, Logger, type LoggerOptions, createLogger };
