import { Plugin } from 'esbuild';

interface ScriptablePluginOptions {
    /** Custom manifest file extensions */
    manifestExtensions?: string[];
    /** Show warning when manifest file is missing */
    warnOnMissingManifest?: boolean;
    /** Show warning when manifest file is invalid */
    warnOnInvalidManifest?: boolean;
    /** Show warning when no matching entry point is found */
    warnOnMissingEntry?: boolean;
    /** Custom manifest file path mapping function */
    getManifestPath?: (entryPath: string) => string;
    /**glob matching pattern, supports ! prefix to exclude files */
    patterns?: string | string[];
}
declare function scriptableBanner(options?: ScriptablePluginOptions): Plugin;

export { type ScriptablePluginOptions, scriptableBanner };
